#ifndef _CDC162_H
#define _CDC162_H

extern void usbcdc_init();
extern void usbcdc_poll();
extern unsigned char usbcdc_getc(void);
extern void usbcdc_putc(unsigned char data);

extern int8_t usbcdc_can_getc(int8_t size);
extern int8_t usbcdc_can_putc(int8_t size);

extern void usbcdc_put_pstr(const prog_char *str);
extern void usbcdc_put_hex(uint8_t d);

#ifdef EP_TX
static inline unsigned char __usbcdc_getc_nc(void) {
	UENUM = EP_TX;
	return UEDATX;
}

static inline void __usbcdc_putc_nc(unsigned char data) {
	UENUM = EP_RX;
	UEDATX = data;
}
#endif

extern void callback_set_baud(long baud);

#ifdef CDC162_EXCONT

struct acm_linemode {
	int32_t baud;
	uint8_t stopbit;
	uint8_t parity;
	uint8_t databit;
	uint8_t rfu;
};

extern void callback_set_linemode(struct acm_linemode *);
#define ACM_LINE_STOP_2		2
#define ACM_LINE_STOP_1		0

#define ACM_LINE_PAR_EVEN	2
#define ACM_LINE_PAR_ODD	1
#define ACM_LINE_PAR_NONE	0

#define ACM_LINE_DATA_8		8
#define ACM_LINE_DATA_7		7
#define ACM_LINE_DATA_6		
#define ACM_LINE_DATA_5		5

extern void callback_set_control(uint8_t mode);
/* set_control_format */
#define ACM_CTRL_DTR	0x01
#define ACM_CTRL_RTS	0x02

extern void callback_send_break(int16_t ms);

#define ACM_BREAK_TIME_AUTO	(-1)

#endif /* CDC162_EXCONT */
#endif /* _CDC162_H */
