#define TX_SIZE         64  /* USB recieve buffer size (must be 2^n, 16<= ~ <=256 ) */
#define RX_SIZE         32  /* USB transmit buffer size (must be 2^n ) <=256 */

#define TGT_PORT	PORTB
#define TGT_DDR		DDRB
#define TGT_PIN		PINB

#define TGT_MISO	PB3
#define TGT_SCK		PB1
#define TGT_MOSI	PB2
#define TGT_RESET	PB0

#define __CDC162__

#define JTAG_EXTENSION
//#define ADC_EXTENSION
#define I2C_EXTENSION
//#define I2C_NOCHECK_START
#define NO_DEV_ECHO


#define MIN_LIGHTING_TIME 	5	// x 10ms
static inline void led_tx_on() {
	bit_set(PORTD, PD7)
}
static inline void led_tx_off() {
	bit_clear(PORTD, PD7);
}
static inline void led_rx_on() {
	bit_set(PORTD, PD6)
}
static inline void led_rx_off() {
	bit_clear(PORTD, PD6);
}

static inline void led_init() {
	bit_set(DDRD, PD6);
	bit_set(DDRD, PD7);
}

static inline void dtr_rts_init() {
}

extern void serjtag_poll(void);
extern void serjtag_open(void);
extern void serjtag_close(void);

static inline void serjtag_busy_led_on() {
	led_tx_off();
}
static inline void serjtag_busy_led_off() {
	led_tx_on();
}

static inline void dtr_on() {
	serjtag_busy_led_on();
	serjtag_close();
}

static inline void dtr_off() {
	serjtag_open();
	serjtag_busy_led_off();
}

static inline void rts_on() {
}

static inline void rts_off() {
}

#define ctrl_poll serjtag_poll

